是不是只要能上网就能用apt-get安装软件呢?

为当前最终发行版之前的所有版本提供支持
Killdog1982
帖子: 54
注册时间: 2008-06-30 11:02
送出感谢: 0
接收感谢: 0

是不是只要能上网就能用apt-get安装软件呢?

#1

帖子 Killdog1982 » 2008-07-06 9:08

我是在公司用代理上网,可能代理服务器把一些端口封了,如qq,msn等,但是上网没有问题,我用apt软件时老是提示说E: Couldn't find Package vim,是不是还要别的设置呢?比如apt要单独设置代理信息呢?请教,我想用apt来安装glibc.
头像
woaiwojia
帖子: 1353
注册时间: 2007-09-10 20:20
系统: Debian
来自: 南京
送出感谢: 0
接收感谢: 0

#2

帖子 woaiwojia » 2008-07-06 9:24

看看源设置好了没有
Killdog1982
帖子: 54
注册时间: 2008-06-30 11:02
送出感谢: 0
接收感谢: 0

#3

帖子 Killdog1982 » 2008-07-06 9:58

源里面提供的网址我可以打开,而且也试了几个网上别人提供的几个网址,结果都是上面的,没用,不知该怎么办
头像
yang
帖子: 190
注册时间: 2007-10-18 19:57
送出感谢: 0
接收感谢: 0

#4

帖子 yang » 2008-07-06 10:18

你有过update吗?
ACER TM3220 | XP Pro & Ubuntu Hardy --------
Intel M 740 1.73 Ghz | 14.1" WXGA TFT LCD 1280x800
ATI Mobility Radeon X700 PCI EX/64MB VRAM
80 GB HDD & 802.11 b/g wireless LAN
头像
yjcong
帖子: 2470
注册时间: 2006-02-28 3:11
送出感谢: 0
接收感谢: 0

#5

帖子 yjcong » 2008-07-06 10:20

在搜索的地方输入你想下的包, 然后找到正确的, 把deb包下到电脑里, gdebi-gtk XXX; 如果有依赖, 且不多, 可以重复之。
http://packages.ubuntu.com/


虽然有些笨, 但如果你暂时用不了apt, 可以过渡一下
一梦三年,
松风依旧,
萝月何曾老.


灵幽听微, 谁观玉颜?
灼灼春华, 绿叶含丹.
Killdog1982
帖子: 54
注册时间: 2008-06-30 11:02
送出感谢: 0
接收感谢: 0

#6

帖子 Killdog1982 » 2008-07-06 10:33

yang 写了:你有过update吗?
apt-get update时显示如下:
0%[Connecting to ftp.sjtu.edu.cn (202.38.97.230)]
然后大概过5分钟就显示"Unable to connect to ftp.sjtu.edu.cn"
我用的是上海交通大学的源,我已经换了好几个源了,cn99,ubuntu的官方源等等,都是这样,
我怎么就这么惨,还有什么要设置的地方吗?我用的是Ubuntu8.04.
Killdog1982
帖子: 54
注册时间: 2008-06-30 11:02
送出感谢: 0
接收感谢: 0

#7

帖子 Killdog1982 » 2008-07-06 10:38

yjcong 写了:在搜索的地方输入你想下的包, 然后找到正确的, 把deb包下到电脑里, gdebi-gtk XXX; 如果有依赖, 且不多, 可以重复之。
http://packages.ubuntu.com/


虽然有些笨, 但如果你暂时用不了apt, 可以过渡一下
我现在想装gcc,因为我发现装glibc时configure不过,在网上查说是gcc没有完整安装,但我不想装源代码版的,我想装一个编译好的二进制版的就可以了,但是我从网上下的gcc-4.3_4.3.1-3ubuntu1_i386.deb只是解压了,但是不知道怎么安装,他没有install类的文件,难道要我一个个的拷贝吗?我也不知道往哪里拷贝啊?
麻烦提示一下
头像
yjcong
帖子: 2470
注册时间: 2006-02-28 3:11
送出感谢: 0
接收感谢: 0

#8

帖子 yjcong » 2008-07-06 10:51

gdebi-gtk gcc-4.3_4.3.1-3ubuntu1_i386.deb

如果是gcc, 估计依赖有些多。 但是论坛里好像有离线升级的方法, 你可以找找看。
一梦三年,
松风依旧,
萝月何曾老.


灵幽听微, 谁观玉颜?
灼灼春华, 绿叶含丹.
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#9

帖子 冲浪板 » 2008-07-06 10:53

Killdog1982 写了:
yang 写了:你有过update吗?
apt-get update时显示如下:
0%[Connecting to ftp.sjtu.edu.cn (202.38.97.230)]
然后大概过5分钟就显示"Unable to connect to ftp.sjtu.edu.cn"
我用的是上海交通大学的源,我已经换了好几个源了,cn99,ubuntu的官方源等等,都是这样,
我怎么就这么惨,还有什么要设置的地方吗?我用的是Ubuntu8.04.
ftp.sj...?
那要看你那是否有不让用ftp的.
头像
yjcong
帖子: 2470
注册时间: 2006-02-28 3:11
送出感谢: 0
接收感谢: 0

#10

帖子 yjcong » 2008-07-06 10:56

还个源看看
一梦三年,
松风依旧,
萝月何曾老.


灵幽听微, 谁观玉颜?
灼灼春华, 绿叶含丹.
Killdog1982
帖子: 54
注册时间: 2008-06-30 11:02
送出感谢: 0
接收感谢: 0

#11

帖子 Killdog1982 » 2008-07-06 11:13

已经换了好几个源了,各位你们的synaptic package manager的里面的设置是怎样的?网络设置?
头像
millenniumdark
论坛版主
帖子: 4159
注册时间: 2005-07-02 14:41
系统: Ubuntu 14.04 (Kylin)
送出感谢: 42 次
接收感谢: 9 次
联系:

#12

帖子 millenniumdark » 2008-07-06 20:53

可能ftp被封了,找http的源吧。
Killdog1982
帖子: 54
注册时间: 2008-06-30 11:02
送出感谢: 0
接收感谢: 0

#13

帖子 Killdog1982 » 2008-07-07 7:46

源里面的网站我是可以上去的,我用Synaptic package manager更新的时候说The ISA server requires authorization to fullfill the request,Access to the web proxy servce is denied.
到底是怎么回事啊,是不是我的端口设的不对啊,我设的是80端口,跟FireFox设的不是一样吗?
vipeason
帖子: 178
注册时间: 2007-12-12 1:56
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 vipeason » 2008-07-07 13:54

我用韩国的源,速度巨快,389KB/s
里怒系
帖子: 36
注册时间: 2008-06-13 14:35
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 里怒系 » 2008-07-07 14:48

只要把源设置好 就可以像你说的那样 只要知道名字就可以下
回复

回到 “老旧版本支持”